import os
from flask import Flask, render_template, abort, jsonify, session, url_for, request, redirect

from p2.ui.sessions import settings
from p2.store.client import Client

app = Flask(__name__)
app.config.from_object('p2.ui.sessions.settings')
app.secret_key = app.config['SECRET_KEY']

p2_store_url = os.getenv('P2_STORE_URL')
if p2_store_url is None:
    raise Exception("No P2_STORE_URL envar found")

client = Client(p2_store_url)

@app.route('/version')
def version():
    return "p2.ui.settings app version 0.1.0"

@app.route('/menu')
def menu():
    return jsonify(settings.MENU)

@app.route('/api/display_sessions_list')
def display_sessions_list():
    sessions = client.select(
        table='exp_session',
        fetch=[
            'exp_id',
            'mins',
            'hour',
            'dom',
            'month',
            'year',
            'start_time',
            'end_time',
            'status'
        ])
    if sessions is None:
        raise Exception("Error: no sessions found")
    return jsonify(sessions)
