display_sessions_url="/sessions/api/display_sessions_list"
var sessions_source =
{
    datatype: "json",
    datafields: [
        { name: 'exp_id' },
        { name: 'mins' },
        { name: 'hour' },
        { name: 'dom' },
        { name: 'month' },
        { name: 'year' },
        { name: 'start_time', type: 'date' },
        { name: 'end_time', type: 'date' },
        { name: 'status' }
    ],
    url: display_sessions_url
};
var sessions_dataAdapter = new $.jqx.dataAdapter(sessions_source);

var pagerrenderer = function () {
    var element = $("<div style='margin-top: 5px; width: 100%; height: 100%;'></div>");
    var paginginfo = $("#jqxgrid").jqxGrid('getpaginginformation');
    for (i = 0; i < paginginfo.pagescount; i++) {
        // add anchor tag with the page number for each page.
        var anchor = $("<a style='padding: 5px;' href='#" + i + "'>" + i + "</a>");
        anchor.appendTo(element);
        anchor.click(function (event) {
            // go to a page.
            var pagenum = parseInt($(event.target).text());
            $("#jqxgrid").jqxGrid('gotopage', pagenum);
        });
    }
    return element;
}

function sessions_display_list() {
    $("#appWorkspace").append('<div id="sessions_grid"></div>')
    $("#sessions_grid").jqxGrid({
            width: "95%",
            autoheight: true,
            sortable: true,
            sortcolumn: 'start_time',
            sortdirection: 'asc',
            pageable: true,
            pagerrenderer: pagerrenderer,
            pagesizeoptions: ['10', '20', '30'],
            source: sessions_dataAdapter,
            columns: [
                { text: 'Exp. Session Id', datafield: 'exp_id', width: "30%" },
                { text: 'Min', datafield: 'mins', width: "5%", sortable: false },
                { text: 'Hour', datafield: 'hour', width: "5%" },
                { text: 'Day', datafield: 'dom', width: "5%" },
                { text: 'Month', datafield: 'month', width: "5%" },
                { text: 'Year', datafield: 'year', width: "10%" },
                { text: 'Start Date', datafield: 'start_date', width: "15%" },
                { text: 'End Date', datafield: 'end_date', width: "15%" },
                { text: 'Status', datafield: 'status', width: "10%" },
            ]
    });
};
